Subject: [Fwd: Re: [seamoby] RE: [mobile-ip] Agent Discovery during handover]

From: Theo Pagtzis <[email-masked]>
Date: Thu, 12 Jul 2001 11:10:47 -0700

excuse the repost but the my mobile-ip mailer seemes not to like my UCL
address

-------- Original Message --------
Subject: Re: [seamoby] RE: [mobile-ip] Agent Discovery during handover
Date: Thu, 12 Jul 2001 10:42:44 -0700
From: Theo Pagtzis <[email-masked]>
Reply-To: [email-masked]
Organization: UCL/NOKIA
To: [email-masked]
References:
<[email-masked]>

Hello Hesham,

    we have been pondering on that for some time, and have come up with
the
decision that
there exists a need to diferentiate between a mobility neighbourhood and
a
routing neighbourhood, in terms of APs and ARs. This is described in

draft-pagtzis-mobileip-proactivev6-00.txt/.ps

which is available at

http://www.cs.ucl.ac.uk/staff/t.pagtzis/docs/docs.html

A mobility neighbourhood actually accounts for a set of access points
which
a routing neighbourhood accounts for a set of routing entities.

We believe that the mobility neighbourhood needs to provide information
to
the routing neighbourhood to effect either seamlessness or proactivity,
whichever comes first.

Now with respect to the AP discovery, we feel that it should be more of
a
configuration task where each AR is configured with details about its
individual AP(s) only on a one-to-one basis
The rest can be pushed through L3 from such configuration specifics over
a
protocol without going through an L2 API.

Perhaps you want to see the draft submitted on this particular issue. It
would be nice to receive your views on the matter.

Theo

UCL/ Mobile System

"Hesham Soliman (ERA)" wrote:

> > The current draft focusses on AR discovery, because, from the viewpoint
> > of an IP network, APs are transparent bridges.
> >
>         => Sounds good.
>
> > Of course, it possible,
> > even likely, that APs may have an IP address but I think they
> > would then be likely classified as hosts since they do not perform
> > a routing function (the subnet is the same on both sides).
> >
>         => Right, either they're routers or bridges. If they're routers
>         they're covered by what you mentioned above.
>
> > Do you think that APs should be included?
> >
>         => I'm not really sure !
>         The APs can't always give all the necessary information
>         anyway. If more than one AP are connected to the same
>         AR then it might be easier to get the information from the
>         AR. The tricky part though is how the AR will be able
>         to send different sets of information to different nodes !
>
>         Sounds like a combination of the L2 API and the L3
>         information from the AR would provide the right sets
>         of information for the MN to be able to make an intelligent
>         decision.
>
>         I haven't really gone through all y semoby mail for a while.
>         Can you point me to the problem statement draft if it
>         exists ?
>
>         Cheers,
>         Hesham